Trouble installing with Tbird 16 Rated 5 out of 5 stars

I love this theme and after upgrading to Thunderbird 16 I tried to install vsn 3.42 from the developer's site but ran into an error stating that it was not compatible with Vsn 16.

Any tips on how to get 3.42 to install?

This review is for a previous version of the add-on (3.41).